Skip to content
Start here

Update a MCP Server

zero_trust.access.ai_controls.mcp.servers.update(strid, ServerUpdateParams**kwargs) -> ServerUpdateResponse
PUT/accounts/{account_id}/access/ai-controls/mcp/servers/{id}

Updates an MCP portal configuration.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
ParametersExpand Collapse
account_id: str
id: str

server id

maxLength32
minLength1
auth_credentials: Optional[str]
description: Optional[str]
maxLength512
name: Optional[str]
maxLength350
ReturnsExpand Collapse
class ServerUpdateResponse:
id: str

server id

maxLength32
minLength1
auth_type: Literal["oauth", "bearer", "unauthenticated"]
One of the following:
"oauth"
"bearer"
"unauthenticated"
hostname: str
formaturi
name: str
maxLength350
prompts: List[Dict[str, object]]
tools: List[Dict[str, object]]
created_at: Optional[datetime]
formatdate-time
created_by: Optional[str]
description: Optional[str]
maxLength512
error: Optional[str]
last_successful_sync: Optional[datetime]
formatdate-time
last_synced: Optional[datetime]
formatdate-time
modified_at: Optional[datetime]
formatdate-time
modified_by: Optional[str]
status: Optional[str]

Update a MCP Server

import os
from cloudflare import Cloudflare

client = Cloudflare(
    api_token=os.environ.get("CLOUDFLARE_API_TOKEN"),  # This is the default and can be omitted
)
server = client.zero_trust.access.ai_controls.mcp.servers.update(
    id="my-mcp-server",
    account_id="a86a8f5c339544d7bdc89926de14fb8c",
)
print(server.id)
{
  "result": {
    "id": "my-mcp-server",
    "auth_type": "unauthenticated",
    "hostname": "https://example.com/mcp",
    "name": "My MCP Server",
    "prompts": [
      {
        "foo": "bar"
      }
    ],
    "tools": [
      {
        "foo": "bar"
      }
    ],
    "created_at": "2019-12-27T18:11:19.117Z",
    "created_by": "created_by",
    "description": "This is one remote mcp server",
    "error": "error",
    "last_successful_sync": "2019-12-27T18:11:19.117Z",
    "last_synced": "2019-12-27T18:11:19.117Z",
    "modified_at": "2019-12-27T18:11:19.117Z",
    "modified_by": "modified_by",
    "status": "status"
  },
  "success": true
}
Returns Examples
{
  "result": {
    "id": "my-mcp-server",
    "auth_type": "unauthenticated",
    "hostname": "https://example.com/mcp",
    "name": "My MCP Server",
    "prompts": [
      {
        "foo": "bar"
      }
    ],
    "tools": [
      {
        "foo": "bar"
      }
    ],
    "created_at": "2019-12-27T18:11:19.117Z",
    "created_by": "created_by",
    "description": "This is one remote mcp server",
    "error": "error",
    "last_successful_sync": "2019-12-27T18:11:19.117Z",
    "last_synced": "2019-12-27T18:11:19.117Z",
    "modified_at": "2019-12-27T18:11:19.117Z",
    "modified_by": "modified_by",
    "status": "status"
  },
  "success": true
}